Get meeting details
curl --request GET \
--url https://api.noux.app/api/v1/notetaker/meeting/{id} \
--header 'Authorization: Bearer <token>' \
--header 'authorization: <authorization>'const options = {
method: 'GET',
headers: {authorization: '<authorization>', Authorization: 'Bearer <token>'}
};
fetch('https://api.noux.app/api/v1/notetaker/meeting/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.noux.app/api/v1/notetaker/meeting/{id}"
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"meetingId": "<string>",
"meetingName": "<string>",
"roomId": "<string>",
"roomName": "<string>",
"roomTemplate": true,
"creator": {
"id": "<string>",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>"
},
"meetingUrl": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"durationSeconds": 123,
"transcript": {
"turns": [
{
"speaker": "<string>",
"startTimeSeconds": 123,
"durationSeconds": 123,
"text": "<string>"
}
]
},
"summary": {
"shortSummary": "<string>",
"longSummary": "<string>",
"actionItems": [
"<string>"
],
"nextTopics": [
"<string>"
]
},
"coaching": {
"customerEvaluation": {
"customerInterestLevelScore": 123,
"customerInterestLevel": "<string>",
"customerBuyingIntent": "<string>",
"customerNeeds": "<string>",
"proposedSolution": "<string>",
"perceivedValue": "<string>"
},
"salespersonEvaluation": {
"overallPerformanceScore": 123,
"improvementSuggestions": "<string>",
"listeningSkillsScore": 123,
"listeningSkills": "<string>",
"persuasiveCommunicationScore": 123,
"persuasiveCommunication": "<string>",
"engagementScore": 123,
"engagement": "<string>",
"callToActionScore": 123,
"callToAction": "<string>"
}
},
"completedAt": "2023-11-07T05:31:56Z"
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}Notetaker
Get meeting details
Get detailed information about a notetaker meeting. Returns 404 when the meeting is not found, belongs to another organization, or has internal visibility restrictions (same opaque response in all cases). Authenticate using Bearer token with your Noux API key.
GET
/
api
/
v1
/
notetaker
/
meeting
/
{id}
Get meeting details
curl --request GET \
--url https://api.noux.app/api/v1/notetaker/meeting/{id} \
--header 'Authorization: Bearer <token>' \
--header 'authorization: <authorization>'const options = {
method: 'GET',
headers: {authorization: '<authorization>', Authorization: 'Bearer <token>'}
};
fetch('https://api.noux.app/api/v1/notetaker/meeting/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.noux.app/api/v1/notetaker/meeting/{id}"
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"meetingId": "<string>",
"meetingName": "<string>",
"roomId": "<string>",
"roomName": "<string>",
"roomTemplate": true,
"creator": {
"id": "<string>",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>"
},
"meetingUrl": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"durationSeconds": 123,
"transcript": {
"turns": [
{
"speaker": "<string>",
"startTimeSeconds": 123,
"durationSeconds": 123,
"text": "<string>"
}
]
},
"summary": {
"shortSummary": "<string>",
"longSummary": "<string>",
"actionItems": [
"<string>"
],
"nextTopics": [
"<string>"
]
},
"coaching": {
"customerEvaluation": {
"customerInterestLevelScore": 123,
"customerInterestLevel": "<string>",
"customerBuyingIntent": "<string>",
"customerNeeds": "<string>",
"proposedSolution": "<string>",
"perceivedValue": "<string>"
},
"salespersonEvaluation": {
"overallPerformanceScore": 123,
"improvementSuggestions": "<string>",
"listeningSkillsScore": 123,
"listeningSkills": "<string>",
"persuasiveCommunicationScore": 123,
"persuasiveCommunication": "<string>",
"engagementScore": 123,
"engagement": "<string>",
"callToActionScore": 123,
"callToAction": "<string>"
}
},
"completedAt": "2023-11-07T05:31:56Z"
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}Response
Meeting details retrieved successfully